# 项目相关配置
ruoyi:
  # 名称
  name: ruoyi
  # 版本
  version: 0.0.1
  # 版权年份
  copyrightYear: 2025
  # 实例演示开关
  demoEnabled: false
  # 获取ip地址开关
  addressEnabled: true

# 开发环境配置
#server:
#  servlet:
    # 应用的访问路径
#    context-path: /ruoyi

# Spring配置
spring:
  # 模板引擎
  thymeleaf:
    mode: HTML
    encoding: utf-8
    # 禁用缓存
    cache: false
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: static/i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  profiles:
    active: @profiles.active@
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# MyBatis-plus
#mybatis-plus:
#  # 搜索指定包别名
#  typeAliasesPackage: com.ruoyi.**.domain
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations: classpath*:mapper/**/*Mapper.xml
#  # 加载全局的配置文件
#  configLocation: classpath:mybatis/mybatis-config.xml

mybatis-plus:
  # 搜索指定包别名
  type-aliases-package: com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  config-location: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql

# Shiro
shiro:
  user:
    # 登录地址
    loginUrl: /saas/login
    # 权限认证失败地址
    unauthorizedUrl: /unauth
    # 首页地址
    indexUrl: /index
  cookie:
    # 设置Cookie的域名 默认空，即当前访问的域名
    domain:
    # 设置cookie的有效访问路径
    path: /
    # 设置HttpOnly属性
    httpOnly: true
    # 设置Cookie的过期时间，天为单位
    maxAge: 30

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

#租户配置
tenant:
  #租户字段名
  tenantIdColumn: tenant_id
  #需要过滤租户的表名
  tableFilter:
    #原有的表
    - gen_table
    - gen_table_column
    - sys_config
    - trs_sys_config
    - sys_dict_data
    - sys_dict_type
    - sys_job
    - sys_job_log
    - sys_menu
    - sys_role_menu
    #新增的表
    - platform_tenant
    - platform_user
    - platform_role
    - platform_menu
    - platform_role_menu
    - platform_user_role
    - platform_dept
    - platform_role_menu
    - platform_user_role
    - platform_oper_log
    - platform_logininfor
    - platform_user_online
    - platform_user_post
    - platform_notice
    - platform_post
    - platform_role_dept
  #需要过滤的方法
  tenantFilterMethod:
